Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat
Class Party

    java.lang.Object
      com.huguesjohnson.tiamat.Party

public class Party
extends java.lang.Object

Party - a collection of Characters

Author:
  Hugues Johnson

Constructor Summary
`Party()` creates an empty Party
`Party(PlayerCharacter character)` creates a Party with a single member

Method Summary
`void` | `add(PlayerCharacter character)` adds a character to the end of the Party
`PlayerCharacter` | `getMember(int index)` get the character at index null if index<0 || index>=count
`int` | `getMemberCount()` return the number of characters in this Party
`PlayerCharacter[]` | `getMembers()`
`Character` | `remove(int index)` removes and returns the character at the specified index moves members down as needed returns null if index<0 || index>=count
`void` | `setMembers(PlayerCharacter[] members)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Party

    public Party()

  creates an empty Party

### Party

    public Party(PlayerCharacter character)

  creates a Party with a single member

Method Detail

### getMembers

    public PlayerCharacter[] getMembers()

### setMembers

    public void setMembers(PlayerCharacter[] members)

### getMemberCount

    public int getMemberCount()

  return the number of characters in this Party

### getMember

    public PlayerCharacter getMember(int index)

  get the character at index null if index<0 || index>=count

### add

    public void add(PlayerCharacter character)

  adds a character to the end of the Party

### remove

    public Character remove(int index)

  removes and returns the character at the specified index moves members down as needed returns null if index<0 || index>=count

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD